package queue;

public class QueueExample {

	public static void main(String[] Args) {
		
		MyQueue<Character> queue = new ArrayListQueue<Character>();
		
		Character a = 'a';
		Character b = 'b';
		Character d = 'd';
		Character c = 'c';
		
		queue.offer(a);
		queue.offer(b);
		queue.offer(c);
		queue.offer(d);
		
		for (int i = queue.size(); i > 0; i--) {
			System.out.println(queue.remove());
		}
		
	}
	
}
